#ifndef CMWCAMMATCHNCC_H_H
#define CMWCAMMATCHNCC_H_H

#include "cmwcamalgorithm.h"


namespace Ui {
class CMWCamMatchNCC_h;
}

class CMWCamMatchNCC_h : public CMWCamAlgorithm
{
    Q_OBJECT

public:
    explicit CMWCamMatchNCC_h(QWidget *parent, int32_t iCamID);
    ~CMWCamMatchNCC_h();

    void MInit();
    void MFresh();
    void FreshModel();
    void MApply();
private slots:
    void on_pushButton_Tool_clicked();

    void on_pushButton_Train_clicked();

    void on_pushButton_Load_clicked();

    void on_pushButton_Save_clicked();

    void on_pushButton_Exe_clicked();

//    void on_checkBox_ROI_clicked();

//    void on_checkBox_ROI_clicked(bool checked);

    void on_pushButton_ROI_clicked();

private:
    Ui::CMWCamMatchNCC_h *ui;
};

#endif // CMWCAMMATCHNCC_H_H
